%define upstream_name    Acme-Bleach
%define upstream_version 1.150

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    For I<really> clean programs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
The first time you run a program under 'use Acme::DWIM', the module
replaces all the unsightly operators et al. from your source file with the
new DWIM operator: '...' (pronounced "yadda yadda yadda").

The code continues to work exactly as it did before, but now it looks like
this:

	use Acme::DWIM;
	
	my ($x) ... ...("Hullo " ... 3 ... "world" ... "~" ... 30) ... /(...)/;
	$x ... tr/tnv/uow/;
	print $x;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-5.mga5
+ Revision: 750877
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-4.mga5
+ Revision: 683412
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.150.0-3.mga4
+ Revision: 508926
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.150.0-2.mga3
+ Revision: 362761
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.150.0-1.mga3
+ Revision: 285064
- update to 1.150

* Wed Jun 15 2011 jquelin <jquelin> 1.130.0-1.mga2
+ Revision: 106451
- update to 1.13

* Thu Jan 20 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 25893
- no meta.yml :-(
- mageia rebuild
- imported package perl-Acme-Bleach


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 402090
- rebuild using %%perl_convert_version

* Sat Jun 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2010.0
+ Revision: 385674
- import perl-Acme-Bleach


* Sat Jun 13 2009 cpan2dist 1.12-1mdv
- initial mdv release, generated with cpan2dist

